Bug 1021545 - Review Request: jboss-jaspi-1.1-api - JBoss Java Authentication SPI for Containers 1.1 API
Review Request: jboss-jaspi-1.1-api - JBoss Java Authentication SPI for Conta...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1016622
  Show dependency treegraph
 
Reported: 2013-10-21 09:32 EDT by Marek Goldmann
Modified: 2013-10-22 09:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 09:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2013-10-21 09:32:09 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-jaspi-1.1-api/1/jboss-jaspi-1.1-api.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-jaspi-1.1-api/1/jboss-jaspi-1.1-api-1.0.0-0.1.Beta1.fc19.src.rpm
Fedora Account System Username: goldmann

Description:

The Java Authentication SPI for Containers 1.1 API classes

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6083674
Comment 1 gil cattaneo 2013-10-21 10:12:50 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 27 files have unknown license. Detailed output of
     licensecheck in /home/gil/1021545-jboss-jaspi-1.1-api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jboss-
     jaspi-1.1-api-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jboss-jaspi-1.1-api-1.0.0-0.1.Beta1.fc21.noarch.rpm
          jboss-jaspi-1.1-api-javadoc-1.0.0-0.1.Beta1.fc21.noarch.rpm
          jboss-jaspi-1.1-api-1.0.0-0.1.Beta1.fc21.src.rpm
jboss-jaspi-1.1-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jaspi-1.1-api/LICENSE
jboss-jaspi-1.1-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-jaspi-1.1-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jaspi-1.1-api-javadoc/LICENSE
3 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jboss-jaspi-1.1-api-javadoc jboss-jaspi-1.1-api
jboss-jaspi-1.1-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-jaspi-1.1-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jaspi-1.1-api-javadoc/LICENSE
jboss-jaspi-1.1-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jaspi-1.1-api/LICENSE
2 packages and 0 specfiles checked; 2 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
jboss-jaspi-1.1-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jboss-jaspi-1.1-api (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jboss-jaspi-1.1-api-javadoc:
    jboss-jaspi-1.1-api-javadoc

jboss-jaspi-1.1-api:
    jboss-jaspi-1.1-api
    mvn(org.jboss.spec.javax.security.auth.message:jboss-jaspi-api_1.1_spec)
    osgi(org.jboss.spec.javax.security.auth.message.jboss-jaspi-api_1.1_spec)



Source checksums
----------------
https://github.com/jboss/jboss-jaspi-api_spec/archive/jboss-jaspi-api_1.1_spec-1.0.0.Beta1.tar.gz :
  CHECKSUM(SHA256) this package     : df5aff7157b7ed7b312513919b42567da94a16a22d4a781ee9e5af122662c457
  CHECKSUM(SHA256) upstream package : df5aff7157b7ed7b312513919b42567da94a16a22d4a781ee9e5af122662c457


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1021545 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

please fix this problem before import in SCM
E: incorrect-fsf-address /usr/share/doc/jboss-jaspi-1.1-api*/LICENSE
e.g.
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE
approved
Comment 2 Marek Goldmann 2013-10-22 02:45:09 EDT
Thanks!

New Package SCM Request
=======================
Package Name: jboss-jaspi-1.1-api
Short Description: JBoss Java Authentication SPI for Containers 1.1 API
Owners: goldmann
Branches: f20
Comment 3 Gwyn Ciesla 2013-10-22 07:52:23 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.